Cannot launch idea.exe version 3316...

It said:
"tools.jar is not in IDEA classpath. Please ensure JAVA_HOME points to JDK rather than JRE"

What to do?

11 comments
Comment actions Permalink

What to do?


What you already have done?

Tom

0
Comment actions Permalink

Nothing just downloaded the zip file extraced it over the previous EAP version and tried to launch the exe file.

And that was the message appeared: as described before.

The bat file is working fine after setting the JDK_HOME.

0
Comment actions Permalink

For now you can copy IDEA\jre\lib\tools.jar to lib\tools.jar, it works for
me.

It said:
"tools.jar is not in IDEA classpath. Please ensure JAVA_HOME points to
JDK rather than JRE"
What to do?




0
Comment actions Permalink

You NEVER should extract it OVER a previous EAP!

Tom

0
Comment actions Permalink

Why is that, that what I always do and it worked all the time. That is how I keep the JRE that is needed by the IDEA and not included in the zip file

0
Comment actions Permalink

Works fine thanks

0
Comment actions Permalink

On Sun, 01 May 2005 14:25:11 +0400, Oded Hassidi wrote:

Why is that, that what I always do and it worked all the time. That is how
I keep the JRE that is needed by the IDEA and not included in the zip file


One reason is that any files REMOVED from IDEA that were included in a
previous build will be left behind and still included in the new version,
which would likely cause issues.

i.e. somerequiredjar-1.3-beta.jar in version 1, when
somerequiredjar-1.4-final.jar is in version 2.

you'd now have BOTH versions in the system...

0
Comment actions Permalink

For heaven sake why people do not read installation instructions even if
those included in build release notes?

.zip distribution doesn't have .exe launcher. Your idea.exe launcher is just
plain outdated.

-


Maxim Shafirov
http://www.jetbrains.com
"Develop with pleasure!"

It said:
"tools.jar is not in IDEA classpath. Please ensure JAVA_HOME points to
JDK rather than JRE"
What to do?





0
Comment actions Permalink

I understand why people don't read them. I think most programs have useless
README and INSTALLING files, so people have learned to avoid them.

For heaven sake why people do not read installation instructions even
if those included in build release notes?

.zip distribution doesn't have .exe launcher. Your idea.exe launcher
is just plain outdated.

-------------------
Maxim Shafirov
http://www.jetbrains.com
"Develop with pleasure!"

>> It said:
>> "tools.jar is not in IDEA classpath. Please ensure JAVA_HOME points
>> to
>> JDK rather than JRE"
>> What to do?



0
Comment actions Permalink

Funilly enough we haven't yet updated readme.txt and install.txt since we
assumed people rarely read those. Updated installation instructions were
in build release notes only.

-


Maxim Shafirov
http://www.jetbrains.com
"Develop with pleasure!"

I understand why people don't read them. I think most programs have
useless README and INSTALLING files, so people have learned to avoid
them.

>> For heaven sake why people do not read installation instructions even
>> if those included in build release notes?
>>
>> .zip distribution doesn't have .exe launcher. Your idea.exe launcher
>> is just plain outdated.
>>
>> -


>> Maxim Shafirov
>> http://www.jetbrains.com
>> "Develop with pleasure!"
>>> It said:
>>> "tools.jar is not in IDEA classpath. Please ensure JAVA_HOME points
>>> to
>>> JDK rather than JRE"
>>> What to do?


0
Comment actions Permalink

"Maxim Shafirov (JetBrains)" <max@jetbrains.com> wrote in message
news:c8a8a1bf9ad68c71ca1994dc480@news.jetbrains.com...

For heaven sake why people do not read installation instructions even if
those included in build release notes?

>

.zip distribution doesn't have .exe launcher. Your idea.exe launcher is
just plain outdated.

>

So, how do we get the latest .exe launcher?


--
Jordan Zimmerman
Senior Software Architect
Altura International
http://www.shop.com


0

Please sign in to leave a comment.